<p align="center">
  <h1 align="center">UI Components Of Bank Transfer SDK</h1>

   <p align="center">
      A bunch of components to build forms for bank transfers.
      <br />
      <a href="https://listo-paye.readme.io"><strong>Explore the docs »</strong></a>
      <br />
      <br />
      <a href="https://gitlab.com/listopro/virements-salaires/-/issues">Report Bug</a>
      ·
      <a href="https://gitlab.com/listopro/virements-salaires/-/issues">Request Feature</a>
   </p>
</p>

<!-- TABLE OF CONTENTS -->
<details open="open">
   <summary>Table of Contents</summary>
   <ol>
      <li>
         <a href="#getting-started">Getting Started</a>
         <ul>
            <li><a href="#prerequisites">Prerequisites</a></li>
            <li><a href="#installation">Installation</a></li>
         </ul>
      </li>
      <li>
         <a href="#usage">Usage</a>
         <ul>
            <li><a href="#initiate-the-sdk">Initiate the SDK</a></li>
            <li><a href="#add-components-into-your-app">Add components into your app</a></li>
         </ul>
      </li>
      <li>
         <a href="#contributing">Contributing</a>
         <ul>        
            <li><a href="#the-stack">The Stack</a></li>
            <li><a href="#installation">Installation</a></li>
            <li><a href="#develop">Develop</a></li>
         </ul>
      </li>
      <li><a href="#license">License</a></li>
   </ol>
</details>


## Getting Started

### Prerequisites
`Node.js > v16.x`

### Installation
You must install `@listo-paye/sdk-core` peer dependency as well.
```sh
yarn add @listo-paye/sdk-{core,ui}
```


## Usage
Full documentation is available [here](https://listo-paye.readme.io).

### Initiate the SDK
### Add components into your app.

There are three strategies we recommend for using web components built with Stencil.

#### Script tag
- Put a script tag similar to this `<script type='module' src='https://unpkg.com/my-component@0.0.1/dist/my-component.esm.js'></script>` in the head of your index.html
- Then you can use the element anywhere in your template, JSX, html etc

#### Node Modules
- Run `yarn add my-component`
- Put a script tag similar to this `<script type='module' src='node_modules/my-component/dist/my-component.esm.js'></script>` in the head of your index.html
- Then you can use the element anywhere in your template, JSX, html etc

#### In a stencil-starter app
- Run `yarn add my-component --save`
- Add an import to the npm packages `import my-component;`
- Then you can use the element anywhere in your template, JSX, html etc

## Contributing

### The Stack
- [**TypeScript**](https://www.typescriptlang.org): The programming language for frontend.
- [**Stencil**](https://stenciljs.com): Components framework based on Web Components.

#### Development
- [**ESLint**](https://eslint.org) & [**Prettier**](https://prettier.io): Code-quality & Formatting.
- [**Husky**](https://typicode.github.io/husky): Git Hook.

### Installation
1. Clone the repository
    ```sh
    git clone git@gitlab.com:listopro/virements-salaires.git
    ```
2. Setup Node.js.
   ```sh
   cd virements-salaires && \
   nvm use
   ```
3. Install the dependencies
    ```sh
    yarn
    ```

### Develop
Run the development server for the SDK Core:
```sh
yarn run sdk-core:develop
```

Run the development server for api:
```sh
yarn run api:develop
```

Run the development server & Storybook:
```sh
yarn run sdk-ui:develop
```

Open [http://localhost:6006](http://localhost:6006) with your browser to see the Storybook.

To run the unit tests for the SDK UI, run:
```sh
yarn run sdk-ui:test:watch
```

### Release
```sh
yarn run sdk-ui:release
```

You can pass any other arguments to the underneath publish command:
```sh
yarn run sdk-ui:release -- --tag rc.1
```

