'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');
const clsx_m = require('./clsx.m-133931d3.js');
const variant_type = require('./variant.type-1d2cf2d1.js');

let LpAnchorButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.clicked = index.createEvent(this, "clicked", 7);
    /**
     * Button variant.
     */
    this.variant = variant_type.Variant.CONTAINED;
    /**
     * Disable button.
     */
    this.disabled = false;
    this.handleClick = (event) => {
      this.clicked.emit(event);
    };
  }
  render() {
    if (this.disabled) {
      return (index.h("lp-button", { disabled: true, variant: this.variant }, index.h("slot", null)));
    }
    return (index.h("a", { class: clsx_m.clsx('mdc-button', {
        'mdc-button--outlined': this.variant === variant_type.Variant.OUTLINED,
        'mdc-button--raised': this.variant === variant_type.Variant.CONTAINED,
      }), "aria-disabled": this.disabled, href: this.href, rel: this.rel, target: this.target, onClick: this.handleClick }, index.h("div", { class: "mdc-button__ripple" }), index.h("span", { class: "mdc-button__label flex items-center" }, index.h("slot", null))));
  }
};

exports.lp_anchor_button = LpAnchorButton;
