'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');
const intent_type = require('./intent.type-bfdcdaea.js');
const variant_type = require('./variant.type-1d2cf2d1.js');

let LpDialogButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.clicked = index.createEvent(this, "clicked", 7);
    this.intent = intent_type.Intent.NONE;
    this.disabled = false;
  }
  handleClick(event) {
    event.stopPropagation();
    if (!this.disabled) {
      this.clicked.emit(event);
    }
  }
  render() {
    const variant = this.intent === intent_type.Intent.PRIMARY ? variant_type.Variant.CONTAINED : variant_type.Variant.TEXT;
    const action = this.intent === intent_type.Intent.PRIMARY ? 'primary' : 'secondary';
    return (index.h("lp-button", { class: "mdc-dialog__button", variant: variant, disabled: this.disabled, "data-mdc-dialog-action": action, "data-mdc-dialog-button-default": this.default }, index.h("slot", null)));
  }
};

exports.lp_dialog_button = LpDialogButton;
