'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');
const clsx_m = require('./clsx.m-133931d3.js');

let LpTableCell = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * The type of the content.
     * Numeric content will be justified on the right.
     */
    this.type = 'text';
    /**
     * Whether the cell contains a checkbox for row selection or not.
     */
    this.hasCheckbox = false;
  }
  componentDidRender() {
    // Add an extra specific CSS class to the inner checkbox if it exists.
    if (this.hasCheckbox) {
      const checkbox = document.querySelector('.mdc-checkbox');
      if (checkbox) {
        checkbox.classList.add('mdc-data-table__row-checkbox');
      }
    }
  }
  render() {
    return (index.h(index.Host, { class: "contents" }, index.h("td", { class: clsx_m.clsx('h-12 align-middle', // Patch styles due to `Host` element breaking inherited rules.
      'mdc-data-table__cell', {
        'mdc-data-table__cell--numeric': this.type === 'numeric',
        'mdc-data-table__cell--checkbox': this.hasCheckbox,
      }) }, index.h("slot", null))));
  }
};

exports.lp_table_cell = LpTableCell;
