import { Component, h, Host, Prop, State } from '@stencil/core';
import clsx from 'clsx';
/**
 * Display hidden content on user interaction.
 *
 */
export class LpAccordion {
  constructor() {
    /**
     * Text of the button which is always shown.
     */
    this.label = 'More';
    this.isOpen = false;
    this.handleClick = () => {
      this.isOpen = !this.isOpen;
    };
  }
  render() {
    return (h(Host, { class: clsx('block overflow-hidden', 'relative before:absolute before:inset-0 before:rounded-large before:bg-primary before:opacity-5') },
      h("button", { class: "mdc-button mdc-button--icon-leading w-full h-10 relative z-10 px-3 text-left justify-start", onClick: this.handleClick },
        h("i", { class: clsx('material-icons mdc-button__icon', 'transition-transform duration-75', {
            'rotate-90': this.isOpen,
          }), "aria-hidden": "true" },
          h("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 18 18", fill: "currentColor" },
            h("path", { "fill-rule": "evenodd", d: "M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z", "clip-rule": "evenodd" }))),
        h("span", { class: "mdc-button__label" }, this.label)),
      h("div", { class: clsx('px-3', 'transition-all', { 'opacity-0 h-[0px] -translate-y-3': !this.isOpen }, { 'pb-3': this.isOpen }) },
        h("slot", null))));
  }
  static get is() { return "lp-accordion"; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Text of the button which is always shown."
      },
      "attribute": "label",
      "reflect": false,
      "defaultValue": "'More'"
    }
  }; }
  static get states() { return {
    "isOpen": {}
  }; }
}
