import { html } from 'lit-html';
import readme from './readme.md';
const argTypes = {
  label: {
    type: { name: 'string', required: true },
    defaultValue: 'More',
    description: 'Text of the button which is always shown.',
    table: {
      type: { summary: 'string' },
      defaultValue: { summary: 'More' },
    },
  },
};
export default {
  title: 'Lp Accordion',
  parameters: {
    notes: readme,
  },
  argTypes,
};
const Template = ({ label }) => {
  return html `<lp-accordion label=${label}>
    <ul class="flex space-x-4">
      <li class="flex items-center space-x-2">
        <span
          class="mt-[2px] mdc-typography mdc-typography--overline leading-none"
          >Période de paiement</span
        >
        <span class="mdc-typography mdc-typography--body2 text-primary"
          >2020-07-01</span
        >
      </li>
      <li class="flex items-center space-x-2">
        <span
          class="mt-[2px] mdc-typography mdc-typography--overline leading-none"
          >Date execution</span
        >
        <span class="mdc-typography mdc-typography--body2 text-primary"
          >{formattedCurrentDate}</span
        >
      </li>
    </ul>
  </lp-accordion>`;
};
export const Idle = Template.bind({});
Idle.args = {
  label: 'Details',
};
