import { html } from 'lit-html';
import { Variant } from '../../types/variant.type';
import readme from './readme.md';
const argTypes = {
  variant: {
    options: Object.values(Variant),
    control: { type: 'select' },
  },
};
export default {
  title: 'Lp Button',
  parameters: {
    notes: readme,
    actions: {
      handles: ['clicked'],
    },
  },
  argTypes,
};
const Template = ({ disabled, variant, slot, onClicked }) => html `<lp-button ?disabled=${disabled} variant=${variant} @clicked=${onClicked}
    >${slot}</lp-button
  >`;
export const Primary = Template.bind({});
Primary.args = {
  disabled: false,
  variant: Variant.CONTAINED,
  slot: 'Verser des salaires',
  onClicked: (event) => console.log(event),
};
export const Outlined = Template.bind({});
Outlined.args = {
  disabled: false,
  variant: Variant.OUTLINED,
  slot: 'Verser des salaires',
  onClicked: (event) => console.log(event),
};
export const Disabled = Template.bind({});
Disabled.args = {
  disabled: true,
  slot: 'Verser des salaires',
  onClicked: (event) => console.log(event),
};
