import { html } from 'lit-html';
import readme from './readme.md';
export default {
  title: 'Lp Checkbox',
  parameters: {
    notes: readme,
    actions: {
      handles: ['change'],
    },
  },
};
const Template = ({ id, ariaLabel, ariaLabelledby, value, indeterminate, checked, disabled, onChange, }) => html `<lp-checkbox
  ?id=${id}
  aria-label=${ariaLabel}
  aria-labelledby=${ariaLabelledby}
  value=${value}
  ?indeterminate=${indeterminate}
  ?checked=${checked}
  ?disabled=${disabled}
  @change=${onChange}
/>`;
export const Idle = Template.bind({});
Idle.args = {
  value: undefined,
  ariaLabel: 'Checkbox label',
  ariaLabelledby: 'element-label',
  indeterminate: false,
  checked: false,
  disabled: false,
  onChange: (event) => console.log(event),
};
export const Checked = Template.bind({});
Checked.args = {
  value: undefined,
  ariaLabel: 'Checkbox label',
  ariaLabelledby: 'element-label',
  indeterminate: false,
  checked: true,
  disabled: false,
  onChange: (event) => console.log(event),
};
