import { Component, Element, h } from '@stencil/core';
/**
 * Component responsible for fixing styling issues due to Host Elements.
 *
 * @slot `lp-dialog-button` - Actions of the dialog.
 *
 */
export class LpDialogActions {
  constructor() {
    this.patchLpDialogButtonHostElements = () => {
      const buttons = this.hostElement.querySelectorAll('lp-dialog-button');
      buttons === null || buttons === void 0 ? void 0 : buttons.forEach((button, index) => {
        if (index > 0) {
          button.classList.add('ml-2');
        }
      });
    };
  }
  componentDidRender() {
    this.patchLpDialogButtonHostElements();
  }
  render() {
    return (h("div", { class: "mdc-dialog__actions" },
      h("slot", null)));
  }
  static get is() { return "lp-dialog-actions"; }
  static get elementRef() { return "hostElement"; }
}
