import { html } from 'lit-html';
import readme from './readme.md';
export default {
  title: 'Lp Frame',
  parameters: {
    notes: readme,
  },
};
const Template = ({ src }) => html `<lp-frame src="${src}"> </lp-frame>`;
export const Idle = Template.bind({});
Idle.args = {
  src: 'https://listopaye.fr',
};
export const WithinDialog = ({ src, onCanceled, onConfirmed }) => html `<lp-dialog
    ?open=${open}
    dialog-title="Payer les salaires"
    @canceled=${onCanceled}
    @confirmed=${onConfirmed}
  >
    <div slot="content">
      <lp-frame src="${src}" />
    </div>
  </lp-dialog>`;
WithinDialog.args = {
  src: 'https://listopaye.fr',
  onCanceled: () => {
    console.log('Canceled');
  },
  onConfirmed: () => {
    console.log('Confirmed');
  },
};
