import { Component, h, Prop } from '@stencil/core';
import { friendlyFormatIBAN } from 'ibantools';
/**
 * Component responsible to display a formatted IBAN.
 *
 */
export class LpIban {
  constructor() {
    this.formatContent = (content) => {
      return friendlyFormatIBAN(content);
    };
  }
  render() {
    const iban = this.formatContent(this.iban);
    return (h("span", { class: "inline-block font-mono mdc-typography mdc-typography--body2" }, iban));
  }
  static get is() { return "lp-iban"; }
  static get properties() { return {
    "iban": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "IBAN, main content."
      },
      "attribute": "iban",
      "reflect": false
    }
  }; }
}
