import { html } from 'lit-html';
import readme from './readme.md';
export default {
  title: 'Lp Select Option',
  parameters: {
    notes: readme,
    actions: {
      handles: ['clicked'],
    },
  },
};
const Template = ({ value, selected, disabled, slot }) => {
  return html `<lp-select-option
    value=${value}
    selected=${selected}
    ?disabled=${disabled}
    >${slot}</lp-select-option
  >`;
};
export const Idle = Template.bind({});
Idle.args = {
  value: 'option-1',
  selected: false,
  disabled: false,
  slot: 'Option 1',
};
export const Selected = Template.bind({});
Selected.args = {
  value: 'selected-option',
  selected: true,
  disabled: false,
  slot: 'Selected Option',
};
export const Disabled = Template.bind({});
Disabled.args = {
  value: 'disabled-option',
  selected: false,
  disabled: true,
  slot: 'Disabled Option',
};
