import { html } from 'lit-html';
import readme from './readme.md';
export default {
  title: 'Lp Select',
  parameters: {
    notes: readme,
    actions: {
      handles: ['changed'],
    },
  },
};
const Template = ({ label, labelledby, width, disabled, required, value, selectedIndex, helperText, valid, onChanged, }) => {
  return html `<lp-select
    label=${label}
    labelledby=${labelledby}
    width=${width}
    ?disabled=${disabled}
    ?required=${required}
    value=${value}
    selected-index=${selectedIndex}
    helper-text=${helperText}
    valid=${valid}
    @changed=${onChanged}
  >
    <lp-select-option value="2021-dec">Décembre 2021</lp-select-option>
    <lp-select-option value="2021-oct" selected=${value === '2021-oct'}
      >Octobre 2021</lp-select-option
    >
    <lp-select-option value="2021-sept">Septembre 2021</lp-select-option>
  </lp-select>`;
};
export const WithOptions = Template.bind({});
WithOptions.args = {
  label: 'Période',
  labelledby: 'periode-1',
  onChanged: (data) => console.log('Event data:', data),
};
export const WithSelectedOption = Template.bind({});
WithSelectedOption.args = {
  label: 'Période',
  labelledby: 'periode-selected',
  selectedIndex: 1,
  onChanged: (data) => console.log('Event data:', data),
};
export const WithWidthSet = Template.bind({});
WithWidthSet.args = {
  label: 'Période',
  labelledby: 'periode-3',
  width: '400px',
  onChanged: (data) => console.log('Event data:', data),
};
export const Disabled = Template.bind({});
Disabled.args = {
  label: 'Période',
  labelledby: 'periode-disabled',
  disabled: true,
};
export const Required = Template.bind({});
Required.args = {
  label: 'Période',
  labelledby: 'periode-required',
  required: true,
  onChanged: (data) => console.log('Event data:', data),
};
export const InvalidState = Template.bind({});
InvalidState.args = {
  label: 'Période',
  labelledby: 'periode-invalid',
  valid: false,
  onChanged: (data) => console.log('Event data:', data),
};
export const WithHelperText = Template.bind({});
WithHelperText.args = {
  label: 'Période',
  labelledby: 'periode-4',
  helperText: 'Période cloturée.',
  onChanged: (data) => console.log('Event data:', data),
};
