import { html } from 'lit-html';
import readme from './readme.md';
const argTypes = {
  type: {
    type: { name: 'text | numeric', required: false },
    defaultValue: 'text',
    description: 'The type of the content.\n Numeric content will be justified on the right.',
    table: {
      type: { summary: 'text | numeric' },
      defaultValue: { summary: 'text' },
    },
    options: ['text', 'numeric'],
    control: {
      type: 'select',
    },
  },
  hasCheckbox: {
    type: { name: 'boolean', required: false },
    defaultValue: false,
    description: 'Whether the cell contains a checkbox for row selection or not.',
    table: {
      type: { summary: 'boolean' },
      defaultValue: { summary: false },
    },
  },
};
export default {
  title: 'Lp Table Cell',
  parameters: {
    notes: readme,
  },
  argTypes,
};
const Template = ({ type, hasCheckbox, slot }) => html `<lp-table-cell type=${type} ?has-checkbox=${hasCheckbox}
    >${slot}</lp-table-cell
  >`;
export const Idle = Template.bind({});
Idle.args = {
  type: 'text',
  slot: 'Employé',
};
export const WithCheckbox = () => html `<lp-table-cell has-checkbox="true"
  ><lp-checkbox
/></lp-table-cell>`;
