import { Component, h, Host, Prop } from '@stencil/core';
import clsx from 'clsx';
/**
 * Table row.
 *
 * @slot - Row content.
 *
 */
export class LpTableRow {
  render() {
    return (h(Host, { class: "contents" },
      h("tr", { "data-row-id": this.dataRowId, class: clsx('mdc-data-table__row', {
          'mdc-data-table__row--selected': this.selected,
        }) },
        h("slot", null))));
  }
  static get is() { return "lp-table-row"; }
  static get properties() { return {
    "dataRowId": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Id",
        "resolved": "string",
        "references": {
          "Id": {
            "location": "import",
            "path": "../../types/id.type"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Unique row identifier.\nMandatory to row selection working."
      },
      "attribute": "data-row-id",
      "reflect": false
    },
    "selected": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": "Whether row is selected or not."
      },
      "attribute": "selected",
      "reflect": false
    }
  }; }
}
