import { html } from 'lit-html';
import readme from './readme.md';
export default {
  title: 'Lp Table',
  parameters: {
    notes: readme,
    actions: {
      handles: ['selectionChanged'],
    },
  },
};
export const Idle = () => html `<lp-table aria-label="Liste des sommes à verser aux employés">
    <lp-table-row-header slot="head">
      <lp-table-cell-header>Employé</lp-table-cell-header>
      <lp-table-cell-header type="numeric">Total</lp-table-cell-header>
      <lp-table-cell-header>IBAN</lp-table-cell-header>
      <lp-table-cell-header>RIB</lp-table-cell-header>
    </lp-table-row-header>

    <lp-table-row slot="body">
      <lp-table-cell>
        <lp-employee>
          <span slot="firstName">Hubert</span>
          <span slot="lastName">Bonisseur de La Bath</span>
        </lp-employee>
      </lp-table-cell>

      <lp-table-cell type="numeric">2500 €</lp-table-cell>

      <lp-table-cell>
        <lp-iban iban="FR7600001000700030002020" />
      </lp-table-cell>

      <lp-table-cell>
        <span
          class="inline-block font-mono mdc-typography mdc-typography--body2"
          >AXAB55PP</span
        >
      </lp-table-cell>
    </lp-table-row>
  </lp-table>`;
export const WithRowSelection = () => html `<lp-table aria-label="Liste des sommes à verser aux employés">
    <lp-table-row-header slot="head">
      <lp-table-cell-header has-checkbox="true">
        <lp-checkbox aria-label="Sélectionner tous les rangs" />
      </lp-table-cell-header>
      <lp-table-cell-header>Employé</lp-table-cell-header>
      <lp-table-cell-header type="numeric">Total</lp-table-cell-header>
      <lp-table-cell-header>IBAN</lp-table-cell-header>
      <lp-table-cell-header>RIB</lp-table-cell-header>
    </lp-table-row-header>

    <lp-table-row data-row-id="u0" slot="body">
      <lp-table-cell>
        <lp-checkbox
          class="mdc-data-table__row-checkbox"
          aria-labelledby="u0"
        />
      </lp-table-cell>
      <lp-table-cell-header cell-idc="u0" scope="row">
        <lp-employee>
          <span slot="firstName">Hubert</span>
          <span slot="lastName" class="font-bold">Bonisseur de La Bath</span>
        </lp-employee>
      </lp-table-cell-header>

      <lp-table-cell type="numeric">2500 €</lp-table-cell>

      <lp-table-cell>
        <lp-iban iban="FR7600001000700030002020" />
      </lp-table-cell>

      <lp-table-cell>
        <span
          class="inline-block font-mono mdc-typography mdc-typography--body2"
          >AXAB55PP</span
        >
      </lp-table-cell>
    </lp-table-row>
  </lp-table>`;
