import { r as registerInstance, f as createEvent, h } from './index-5aee6d0f.js';
import { c as clsx } from './clsx.m-3c237499.js';
import { V as Variant } from './variant.type-cb269ea9.js';

let LpAnchorButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.clicked = createEvent(this, "clicked", 7);
    /**
     * Button variant.
     */
    this.variant = Variant.CONTAINED;
    /**
     * Disable button.
     */
    this.disabled = false;
    this.handleClick = (event) => {
      this.clicked.emit(event);
    };
  }
  render() {
    if (this.disabled) {
      return (h("lp-button", { disabled: true, variant: this.variant }, h("slot", null)));
    }
    return (h("a", { class: clsx('mdc-button', {
        'mdc-button--outlined': this.variant === Variant.OUTLINED,
        'mdc-button--raised': this.variant === Variant.CONTAINED,
      }), "aria-disabled": this.disabled, href: this.href, rel: this.rel, target: this.target, onClick: this.handleClick }, h("div", { class: "mdc-button__ripple" }), h("span", { class: "mdc-button__label flex items-center" }, h("slot", null))));
  }
};

export { LpAnchorButton as lp_anchor_button };
