import { r as registerInstance, f as createEvent, h } from './index-5aee6d0f.js';
import { c as clsx } from './clsx.m-3c237499.js';
import { V as Variant } from './variant.type-cb269ea9.js';

let LpButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.clicked = createEvent(this, "clicked", 7);
    /**
     * Button variant.
     */
    this.variant = Variant.CONTAINED;
    /**
     * Disable button.
     */
    this.disabled = false;
    this.handleClick = (event) => {
      this.clicked.emit(event);
    };
  }
  render() {
    return (h("button", { class: clsx('mdc-button', {
        'mdc-button--outlined': this.variant === Variant.OUTLINED,
        'mdc-button--raised': this.variant === Variant.CONTAINED,
      }), disabled: this.disabled, onClick: this.handleClick }, h("div", { class: "mdc-button__ripple" }), h("span", { class: "mdc-button__label flex items-center" }, h("slot", null))));
  }
};

export { LpButton as lp_button };
