import { HTMLElement, h, proxyCustomElement } from '@stencil/core/internal/client';

let LpDialogActions = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.patchLpDialogButtonHostElements = () => {
      const buttons = this.hostElement.querySelectorAll('lp-dialog-button');
      buttons === null || buttons === void 0 ? void 0 : buttons.forEach((button, index) => {
        if (index > 0) {
          button.classList.add('ml-2');
        }
      });
    };
  }
  componentDidRender() {
    this.patchLpDialogButtonHostElements();
  }
  render() {
    return (h("div", { class: "mdc-dialog__actions" }, h("slot", null)));
  }
  get hostElement() { return this; }
};
LpDialogActions = /*@__PURE__*/ proxyCustomElement(LpDialogActions, [4, "lp-dialog-actions"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["lp-dialog-actions"];
  components.forEach(tagName => { switch (tagName) {
    case "lp-dialog-actions":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LpDialogActions);
      }
      break;
  } });
}

export { LpDialogActions as L, defineCustomElement as d };
