import { HTMLElement, h, proxyCustomElement } from '@stencil/core/internal/client';
import { c as clsx } from './clsx.m.js';

let LpSelectOption$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Whether option is selected or not.
     */
    this.selected = false;
  }
  // mdc-list-item--with-one-line
  render() {
    return (h("li", { class: clsx('mdc-list-item', {
        'mdc-list-item--selected': this.selected,
        'mdc-list-item--disabled': this.disabled,
      }), "aria-selected": this.selected, "aria-disabled": this.disabled, "data-value": this.value, role: "option" }, h("span", { class: "mdc-list-item__ripple" }), h("span", { class: "mdc-list-item__text" }, h("slot", null))));
  }
};
LpSelectOption$1 = /*@__PURE__*/ proxyCustomElement(LpSelectOption$1, [4, "lp-select-option", {
    "value": [1],
    "selected": [4],
    "disabled": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["lp-select-option"];
  components.forEach(tagName => { switch (tagName) {
    case "lp-select-option":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LpSelectOption$1);
      }
      break;
  } });
}

const LpSelectOption = LpSelectOption$1;
const defineCustomElement = defineCustomElement$1;

export { LpSelectOption, defineCustomElement };
