import { r as registerInstance, h, e as Host } from './index-5aee6d0f.js';
import { c as clsx } from './clsx.m-3c237499.js';

let LpTableCell = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The type of the content.
     * Numeric content will be justified on the right.
     */
    this.type = 'text';
    /**
     * Whether the cell contains a checkbox for row selection or not.
     */
    this.hasCheckbox = false;
  }
  componentDidRender() {
    // Add an extra specific CSS class to the inner checkbox if it exists.
    if (this.hasCheckbox) {
      const checkbox = document.querySelector('.mdc-checkbox');
      if (checkbox) {
        checkbox.classList.add('mdc-data-table__row-checkbox');
      }
    }
  }
  render() {
    return (h(Host, { class: "contents" }, h("td", { class: clsx('h-12 align-middle', // Patch styles due to `Host` element breaking inherited rules.
      'mdc-data-table__cell', {
        'mdc-data-table__cell--numeric': this.type === 'numeric',
        'mdc-data-table__cell--checkbox': this.hasCheckbox,
      }) }, h("slot", null))));
  }
};

export { LpTableCell as lp_table_cell };
