import { HTMLElement, h, Host, proxyCustomElement } from '@stencil/core/internal/client';
import { c as clsx } from './clsx.m.js';

let LpTableRow = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "contents" }, h("tr", { "data-row-id": this.dataRowId, class: clsx('mdc-data-table__row', {
        'mdc-data-table__row--selected': this.selected,
      }) }, h("slot", null))));
  }
};
LpTableRow = /*@__PURE__*/ proxyCustomElement(LpTableRow, [4, "lp-table-row", {
    "dataRowId": [1, "data-row-id"],
    "selected": [4]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["lp-table-row"];
  components.forEach(tagName => { switch (tagName) {
    case "lp-table-row":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LpTableRow);
      }
      break;
  } });
}

export { LpTableRow as L, defineCustomElement as d };
