import { B as BUILD, C as CSS, p as plt, w as win, a as promiseResolve, b as bootstrapLazy } from './index-5aee6d0f.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Esm v2.12.1 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (BUILD.cssVarShim && !(CSS && CSS.supports && CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return import(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-94f8a22d.js').then(() => {
            if ((plt.$cssShim$ = win.__cssshim)) {
                return plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  globalScripts();
  return bootstrapLazy([["lp-transfer",[[4,"lp-transfer",{"config":[16],"date":[1],"isOpen":[32],"state":[32],"currentStep":[32]}]]],["lp-frame",[[0,"lp-frame",{"src":[1]}]]],["lp-select",[[4,"lp-select",{"label":[1],"labelledby":[1],"width":[1],"disabled":[4],"required":[4],"value":[1],"selectedIndex":[2,"selected-index"],"helperText":[1,"helper-text"],"valid":[4]}]]],["lp-select-option",[[4,"lp-select-option",{"value":[1],"selected":[4],"disabled":[4]}]]],["lp-view-selection",[[0,"lp-view-selection",{"state":[32]}]]],["lp-view-summary",[[0,"lp-view-summary",{"state":[32]}]]],["lp-view-redirection",[[0,"lp-view-redirection",{"state":[32],"redirectionUrl":[32]}]]],["lp-dialog",[[4,"lp-dialog",{"isOpen":[4,"open"],"dialogTitle":[1,"dialog-title"],"surfaceStyle":[16]}]]],["lp-dialog-button",[[4,"lp-dialog-button",{"intent":[1],"default":[4],"disabled":[4]},[[2,"click","handleClick"]]]]],["lp-anchor-button",[[4,"lp-anchor-button",{"href":[1],"target":[1],"rel":[1],"variant":[1],"disabled":[4]}]]],["lp-accordion",[[4,"lp-accordion",{"label":[1],"isOpen":[32]}]]],["lp-checkbox",[[0,"lp-checkbox",{"inputId":[1,"input-id"],"ariaLabel":[1,"aria-label"],"ariaLabelledby":[1,"aria-labelledby"],"value":[1],"indeterminate":[4],"checked":[4],"disabled":[4]}]]],["lp-dialog-actions",[[4,"lp-dialog-actions"]]],["lp-employee",[[4,"lp-employee"]]],["lp-iban",[[0,"lp-iban",{"iban":[1]}]]],["lp-table",[[4,"lp-table",{"ariaLabel":[1,"aria-label"]}]]],["lp-table-cell",[[4,"lp-table-cell",{"type":[1],"hasCheckbox":[4,"has-checkbox"]}]]],["lp-table-cell-header",[[4,"lp-table-cell-header",{"scope":[1],"cellId":[1,"cell-id"],"type":[1],"hasCheckbox":[4,"has-checkbox"]}]]],["lp-table-row",[[4,"lp-table-row",{"dataRowId":[1,"data-row-id"],"selected":[4]}]]],["lp-table-row-header",[[4,"lp-table-row-header"]]],["lp-button",[[4,"lp-button",{"variant":[1],"disabled":[4]}]]],["lp-callout",[[4,"lp-callout",{"intent":[1]}]]]], options);
  });
};

export { defineCustomElements };
