import { r as registerInstance, f as createEvent, h } from './index-5aee6d0f.js';
import { I as Intent } from './intent.type-470c4219.js';
import { V as Variant } from './variant.type-cb269ea9.js';

let LpDialogButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.clicked = createEvent(this, "clicked", 7);
    this.intent = Intent.NONE;
    this.disabled = false;
  }
  handleClick(event) {
    event.stopPropagation();
    if (!this.disabled) {
      this.clicked.emit(event);
    }
  }
  render() {
    const variant = this.intent === Intent.PRIMARY ? Variant.CONTAINED : Variant.TEXT;
    const action = this.intent === Intent.PRIMARY ? 'primary' : 'secondary';
    return (h("lp-button", { class: "mdc-dialog__button", variant: variant, disabled: this.disabled, "data-mdc-dialog-action": action, "data-mdc-dialog-button-default": this.default }, h("slot", null)));
  }
};

export { LpDialogButton as lp_dialog_button };
