/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { Variant } from "./types/variant.type";
import { Intent } from "./types/intent.type";
import { Style } from "./components/lp-dialog/lp-dialog";
import { LpDialogButtonIntent } from "./components/lp-dialog-button/lp-dialog-button";
import { LpSelectChangeEvent } from "./components/lp-select/lp-select";
import { Id } from "./types/id.type";
import { Config } from "@listo-paye/sdk-core";
export namespace Components {
    interface LpAccordion {
        /**
          * Text of the button which is always shown.
         */
        "label": string;
    }
    interface LpAnchorButton {
        /**
          * Disable button.
         */
        "disabled"?: boolean;
        "href": HTMLAnchorElement['href'];
        "rel"?: HTMLAnchorElement['rel'];
        "target"?: HTMLAnchorElement['target'];
        /**
          * Button variant.
         */
        "variant"?: Exclude<Variant, 'filled'>;
    }
    interface LpButton {
        /**
          * Disable button.
         */
        "disabled"?: boolean;
        /**
          * Button variant.
         */
        "variant"?: Exclude<Variant, 'filled'>;
    }
    interface LpCallout {
        /**
          * Visual intent color to apply to background, title, and icon.
         */
        "intent": Intent;
    }
    interface LpCheckbox {
        /**
          * Accessible label used when checkbox is not used within a field form.
         */
        "ariaLabel"?: string;
        /**
          * Set the id of the element acting as label of this checkbox.
         */
        "ariaLabelledby"?: string;
        /**
          * Whether checkbox is checked or not.
         */
        "checked"?: boolean;
        /**
          * Whether checkbox is disabled or not.
         */
        "disabled"?: boolean;
        /**
          * Whether checkbox is indeterminate or not.
         */
        "indeterminate"?: boolean;
        /**
          * The id of the checkbox used to identify its label within a field form.
         */
        "inputId"?: string;
        /**
          * The current value of the checkbox.
         */
        "value"?: string;
    }
    interface LpDialog {
        /**
          * Title of the dialog showed on the top.
         */
        "dialogTitle": string;
        /**
          * Whether the dialog is opened or not.
         */
        "isOpen": boolean;
        /**
          * Style of the dialog surface.
         */
        "surfaceStyle"?: Style;
    }
    interface LpDialogActions {
    }
    interface LpDialogButton {
        "default"?: boolean;
        "disabled"?: boolean;
        "intent"?: LpDialogButtonIntent;
    }
    interface LpEmployee {
    }
    interface LpFrame {
        /**
          * The URL of the page to embed.
         */
        "src": string;
    }
    interface LpIban {
        /**
          * IBAN, main content.
         */
        "iban": string;
    }
    interface LpSelect {
        /**
          * Whether select is disabled or not.
         */
        "disabled"?: boolean;
        /**
          * Set helper text to give more details about the field or validation messages.
         */
        "helperText"?: string;
        /**
          * Text describing the field.
         */
        "label": string;
        /**
          * Unique id used to identify accessible label element of the field.
         */
        "labelledby": string;
        /**
          * Whether select is required or not.
         */
        "required"?: boolean;
        /**
          * The index of the currently selected option. Set to -1 if no option is currently selected. Changing this property will update the select element.
         */
        "selectedIndex"?: number;
        /**
          * Whether the component is in a valid state. Setting this updates styles on the component, but does not affect the native validity state.
         */
        "valid"?: boolean;
        /**
          * The `value` / `data-value` of the currently selected option.
         */
        "value"?: string;
        /**
          * Set the width of the select & its menu.
         */
        "width"?: string;
    }
    interface LpSelectOption {
        /**
          * Whether option is selectable or not.
         */
        "disabled"?: boolean;
        /**
          * Whether option is selected or not.
         */
        "selected"?: boolean;
        /**
          * Value used by `lp-select` to identify currently selected option.
         */
        "value": string;
    }
    interface LpTable {
        /**
          * Text describing the table purpose.
         */
        "ariaLabel": string;
    }
    interface LpTableCell {
        /**
          * Whether the cell contains a checkbox for row selection or not.
         */
        "hasCheckbox"?: boolean;
        /**
          * The type of the content. Numeric content will be justified on the right.
         */
        "type"?: 'text' | 'numeric';
    }
    interface LpTableCellHeader {
        /**
          * Unique identifier of the cell which should be used when the `scope` is row.
         */
        "cellId"?: Id;
        /**
          * Whether the cell contains a checkbox for row selection or not.
         */
        "hasCheckbox"?: boolean;
        /**
          * Set the scope of the header cell. I.e. whether the header cell is used within a row or a column (by default).
         */
        "scope"?: 'col' | 'row';
        /**
          * The type of the content. Numeric content will be justified on the right.
         */
        "type"?: 'text' | 'numeric';
    }
    interface LpTableRow {
        /**
          * Unique row identifier. Mandatory to row selection working.
         */
        "dataRowId": Id;
        /**
          * Whether row is selected or not.
         */
        "selected"?: boolean;
    }
    interface LpTableRowHeader {
    }
    interface LpTransfer {
        "config": Config;
        "date": string;
    }
    interface LpViewRedirection {
    }
    interface LpViewSelection {
    }
    interface LpViewSummary {
    }
}
declare global {
    interface HTMLLpAccordionElement extends Components.LpAccordion, HTMLStencilElement {
    }
    var HTMLLpAccordionElement: {
        prototype: HTMLLpAccordionElement;
        new (): HTMLLpAccordionElement;
    };
    interface HTMLLpAnchorButtonElement extends Components.LpAnchorButton, HTMLStencilElement {
    }
    var HTMLLpAnchorButtonElement: {
        prototype: HTMLLpAnchorButtonElement;
        new (): HTMLLpAnchorButtonElement;
    };
    interface HTMLLpButtonElement extends Components.LpButton, HTMLStencilElement {
    }
    var HTMLLpButtonElement: {
        prototype: HTMLLpButtonElement;
        new (): HTMLLpButtonElement;
    };
    interface HTMLLpCalloutElement extends Components.LpCallout, HTMLStencilElement {
    }
    var HTMLLpCalloutElement: {
        prototype: HTMLLpCalloutElement;
        new (): HTMLLpCalloutElement;
    };
    interface HTMLLpCheckboxElement extends Components.LpCheckbox, HTMLStencilElement {
    }
    var HTMLLpCheckboxElement: {
        prototype: HTMLLpCheckboxElement;
        new (): HTMLLpCheckboxElement;
    };
    interface HTMLLpDialogElement extends Components.LpDialog, HTMLStencilElement {
    }
    var HTMLLpDialogElement: {
        prototype: HTMLLpDialogElement;
        new (): HTMLLpDialogElement;
    };
    interface HTMLLpDialogActionsElement extends Components.LpDialogActions, HTMLStencilElement {
    }
    var HTMLLpDialogActionsElement: {
        prototype: HTMLLpDialogActionsElement;
        new (): HTMLLpDialogActionsElement;
    };
    interface HTMLLpDialogButtonElement extends Components.LpDialogButton, HTMLStencilElement {
    }
    var HTMLLpDialogButtonElement: {
        prototype: HTMLLpDialogButtonElement;
        new (): HTMLLpDialogButtonElement;
    };
    interface HTMLLpEmployeeElement extends Components.LpEmployee, HTMLStencilElement {
    }
    var HTMLLpEmployeeElement: {
        prototype: HTMLLpEmployeeElement;
        new (): HTMLLpEmployeeElement;
    };
    interface HTMLLpFrameElement extends Components.LpFrame, HTMLStencilElement {
    }
    var HTMLLpFrameElement: {
        prototype: HTMLLpFrameElement;
        new (): HTMLLpFrameElement;
    };
    interface HTMLLpIbanElement extends Components.LpIban, HTMLStencilElement {
    }
    var HTMLLpIbanElement: {
        prototype: HTMLLpIbanElement;
        new (): HTMLLpIbanElement;
    };
    interface HTMLLpSelectElement extends Components.LpSelect, HTMLStencilElement {
    }
    var HTMLLpSelectElement: {
        prototype: HTMLLpSelectElement;
        new (): HTMLLpSelectElement;
    };
    interface HTMLLpSelectOptionElement extends Components.LpSelectOption, HTMLStencilElement {
    }
    var HTMLLpSelectOptionElement: {
        prototype: HTMLLpSelectOptionElement;
        new (): HTMLLpSelectOptionElement;
    };
    interface HTMLLpTableElement extends Components.LpTable, HTMLStencilElement {
    }
    var HTMLLpTableElement: {
        prototype: HTMLLpTableElement;
        new (): HTMLLpTableElement;
    };
    interface HTMLLpTableCellElement extends Components.LpTableCell, HTMLStencilElement {
    }
    var HTMLLpTableCellElement: {
        prototype: HTMLLpTableCellElement;
        new (): HTMLLpTableCellElement;
    };
    interface HTMLLpTableCellHeaderElement extends Components.LpTableCellHeader, HTMLStencilElement {
    }
    var HTMLLpTableCellHeaderElement: {
        prototype: HTMLLpTableCellHeaderElement;
        new (): HTMLLpTableCellHeaderElement;
    };
    interface HTMLLpTableRowElement extends Components.LpTableRow, HTMLStencilElement {
    }
    var HTMLLpTableRowElement: {
        prototype: HTMLLpTableRowElement;
        new (): HTMLLpTableRowElement;
    };
    interface HTMLLpTableRowHeaderElement extends Components.LpTableRowHeader, HTMLStencilElement {
    }
    var HTMLLpTableRowHeaderElement: {
        prototype: HTMLLpTableRowHeaderElement;
        new (): HTMLLpTableRowHeaderElement;
    };
    interface HTMLLpTransferElement extends Components.LpTransfer, HTMLStencilElement {
    }
    var HTMLLpTransferElement: {
        prototype: HTMLLpTransferElement;
        new (): HTMLLpTransferElement;
    };
    interface HTMLLpViewRedirectionElement extends Components.LpViewRedirection, HTMLStencilElement {
    }
    var HTMLLpViewRedirectionElement: {
        prototype: HTMLLpViewRedirectionElement;
        new (): HTMLLpViewRedirectionElement;
    };
    interface HTMLLpViewSelectionElement extends Components.LpViewSelection, HTMLStencilElement {
    }
    var HTMLLpViewSelectionElement: {
        prototype: HTMLLpViewSelectionElement;
        new (): HTMLLpViewSelectionElement;
    };
    interface HTMLLpViewSummaryElement extends Components.LpViewSummary, HTMLStencilElement {
    }
    var HTMLLpViewSummaryElement: {
        prototype: HTMLLpViewSummaryElement;
        new (): HTMLLpViewSummaryElement;
    };
    interface HTMLElementTagNameMap {
        "lp-accordion": HTMLLpAccordionElement;
        "lp-anchor-button": HTMLLpAnchorButtonElement;
        "lp-button": HTMLLpButtonElement;
        "lp-callout": HTMLLpCalloutElement;
        "lp-checkbox": HTMLLpCheckboxElement;
        "lp-dialog": HTMLLpDialogElement;
        "lp-dialog-actions": HTMLLpDialogActionsElement;
        "lp-dialog-button": HTMLLpDialogButtonElement;
        "lp-employee": HTMLLpEmployeeElement;
        "lp-frame": HTMLLpFrameElement;
        "lp-iban": HTMLLpIbanElement;
        "lp-select": HTMLLpSelectElement;
        "lp-select-option": HTMLLpSelectOptionElement;
        "lp-table": HTMLLpTableElement;
        "lp-table-cell": HTMLLpTableCellElement;
        "lp-table-cell-header": HTMLLpTableCellHeaderElement;
        "lp-table-row": HTMLLpTableRowElement;
        "lp-table-row-header": HTMLLpTableRowHeaderElement;
        "lp-transfer": HTMLLpTransferElement;
        "lp-view-redirection": HTMLLpViewRedirectionElement;
        "lp-view-selection": HTMLLpViewSelectionElement;
        "lp-view-summary": HTMLLpViewSummaryElement;
    }
}
declare namespace LocalJSX {
    interface LpAccordion {
        /**
          * Text of the button which is always shown.
         */
        "label"?: string;
    }
    interface LpAnchorButton {
        /**
          * Disable button.
         */
        "disabled"?: boolean;
        "href"?: HTMLAnchorElement['href'];
        "onClicked"?: (event: CustomEvent<MouseEvent>) => void;
        "rel"?: HTMLAnchorElement['rel'];
        "target"?: HTMLAnchorElement['target'];
        /**
          * Button variant.
         */
        "variant"?: Exclude<Variant, 'filled'>;
    }
    interface LpButton {
        /**
          * Disable button.
         */
        "disabled"?: boolean;
        "onClicked"?: (event: CustomEvent<MouseEvent>) => void;
        /**
          * Button variant.
         */
        "variant"?: Exclude<Variant, 'filled'>;
    }
    interface LpCallout {
        /**
          * Visual intent color to apply to background, title, and icon.
         */
        "intent"?: Intent;
    }
    interface LpCheckbox {
        /**
          * Accessible label used when checkbox is not used within a field form.
         */
        "ariaLabel"?: string;
        /**
          * Set the id of the element acting as label of this checkbox.
         */
        "ariaLabelledby"?: string;
        /**
          * Whether checkbox is checked or not.
         */
        "checked"?: boolean;
        /**
          * Whether checkbox is disabled or not.
         */
        "disabled"?: boolean;
        /**
          * Whether checkbox is indeterminate or not.
         */
        "indeterminate"?: boolean;
        /**
          * The id of the checkbox used to identify its label within a field form.
         */
        "inputId"?: string;
        /**
          * The current value of the checkbox.
         */
        "value"?: string;
    }
    interface LpDialog {
        /**
          * Title of the dialog showed on the top.
         */
        "dialogTitle"?: string;
        /**
          * Whether the dialog is opened or not.
         */
        "isOpen"?: boolean;
        /**
          * Style of the dialog surface.
         */
        "surfaceStyle"?: Style;
    }
    interface LpDialogActions {
    }
    interface LpDialogButton {
        "default"?: boolean;
        "disabled"?: boolean;
        "intent"?: LpDialogButtonIntent;
        "onClicked"?: (event: CustomEvent<CustomEvent<MouseEvent>>) => void;
    }
    interface LpEmployee {
    }
    interface LpFrame {
        /**
          * The URL of the page to embed.
         */
        "src"?: string;
    }
    interface LpIban {
        /**
          * IBAN, main content.
         */
        "iban"?: string;
    }
    interface LpSelect {
        /**
          * Whether select is disabled or not.
         */
        "disabled"?: boolean;
        /**
          * Set helper text to give more details about the field or validation messages.
         */
        "helperText"?: string;
        /**
          * Text describing the field.
         */
        "label"?: string;
        /**
          * Unique id used to identify accessible label element of the field.
         */
        "labelledby"?: string;
        "onChanged"?: (event: CustomEvent<LpSelectChangeEvent>) => void;
        /**
          * Whether select is required or not.
         */
        "required"?: boolean;
        /**
          * The index of the currently selected option. Set to -1 if no option is currently selected. Changing this property will update the select element.
         */
        "selectedIndex"?: number;
        /**
          * Whether the component is in a valid state. Setting this updates styles on the component, but does not affect the native validity state.
         */
        "valid"?: boolean;
        /**
          * The `value` / `data-value` of the currently selected option.
         */
        "value"?: string;
        /**
          * Set the width of the select & its menu.
         */
        "width"?: string;
    }
    interface LpSelectOption {
        /**
          * Whether option is selectable or not.
         */
        "disabled"?: boolean;
        /**
          * Whether option is selected or not.
         */
        "selected"?: boolean;
        /**
          * Value used by `lp-select` to identify currently selected option.
         */
        "value"?: string;
    }
    interface LpTable {
        /**
          * Text describing the table purpose.
         */
        "ariaLabel"?: string;
        "onSelectionChanged"?: (event: CustomEvent<Id[]>) => void;
    }
    interface LpTableCell {
        /**
          * Whether the cell contains a checkbox for row selection or not.
         */
        "hasCheckbox"?: boolean;
        /**
          * The type of the content. Numeric content will be justified on the right.
         */
        "type"?: 'text' | 'numeric';
    }
    interface LpTableCellHeader {
        /**
          * Unique identifier of the cell which should be used when the `scope` is row.
         */
        "cellId"?: Id;
        /**
          * Whether the cell contains a checkbox for row selection or not.
         */
        "hasCheckbox"?: boolean;
        /**
          * Set the scope of the header cell. I.e. whether the header cell is used within a row or a column (by default).
         */
        "scope"?: 'col' | 'row';
        /**
          * The type of the content. Numeric content will be justified on the right.
         */
        "type"?: 'text' | 'numeric';
    }
    interface LpTableRow {
        /**
          * Unique row identifier. Mandatory to row selection working.
         */
        "dataRowId"?: Id;
        /**
          * Whether row is selected or not.
         */
        "selected"?: boolean;
    }
    interface LpTableRowHeader {
    }
    interface LpTransfer {
        "config"?: Config;
        "date"?: string;
    }
    interface LpViewRedirection {
    }
    interface LpViewSelection {
    }
    interface LpViewSummary {
    }
    interface IntrinsicElements {
        "lp-accordion": LpAccordion;
        "lp-anchor-button": LpAnchorButton;
        "lp-button": LpButton;
        "lp-callout": LpCallout;
        "lp-checkbox": LpCheckbox;
        "lp-dialog": LpDialog;
        "lp-dialog-actions": LpDialogActions;
        "lp-dialog-button": LpDialogButton;
        "lp-employee": LpEmployee;
        "lp-frame": LpFrame;
        "lp-iban": LpIban;
        "lp-select": LpSelect;
        "lp-select-option": LpSelectOption;
        "lp-table": LpTable;
        "lp-table-cell": LpTableCell;
        "lp-table-cell-header": LpTableCellHeader;
        "lp-table-row": LpTableRow;
        "lp-table-row-header": LpTableRowHeader;
        "lp-transfer": LpTransfer;
        "lp-view-redirection": LpViewRedirection;
        "lp-view-selection": LpViewSelection;
        "lp-view-summary": LpViewSummary;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "lp-accordion": LocalJSX.LpAccordion & JSXBase.HTMLAttributes<HTMLLpAccordionElement>;
            "lp-anchor-button": LocalJSX.LpAnchorButton & JSXBase.HTMLAttributes<HTMLLpAnchorButtonElement>;
            "lp-button": LocalJSX.LpButton & JSXBase.HTMLAttributes<HTMLLpButtonElement>;
            "lp-callout": LocalJSX.LpCallout & JSXBase.HTMLAttributes<HTMLLpCalloutElement>;
            "lp-checkbox": LocalJSX.LpCheckbox & JSXBase.HTMLAttributes<HTMLLpCheckboxElement>;
            "lp-dialog": LocalJSX.LpDialog & JSXBase.HTMLAttributes<HTMLLpDialogElement>;
            "lp-dialog-actions": LocalJSX.LpDialogActions & JSXBase.HTMLAttributes<HTMLLpDialogActionsElement>;
            "lp-dialog-button": LocalJSX.LpDialogButton & JSXBase.HTMLAttributes<HTMLLpDialogButtonElement>;
            "lp-employee": LocalJSX.LpEmployee & JSXBase.HTMLAttributes<HTMLLpEmployeeElement>;
            "lp-frame": LocalJSX.LpFrame & JSXBase.HTMLAttributes<HTMLLpFrameElement>;
            "lp-iban": LocalJSX.LpIban & JSXBase.HTMLAttributes<HTMLLpIbanElement>;
            "lp-select": LocalJSX.LpSelect & JSXBase.HTMLAttributes<HTMLLpSelectElement>;
            "lp-select-option": LocalJSX.LpSelectOption & JSXBase.HTMLAttributes<HTMLLpSelectOptionElement>;
            "lp-table": LocalJSX.LpTable & JSXBase.HTMLAttributes<HTMLLpTableElement>;
            "lp-table-cell": LocalJSX.LpTableCell & JSXBase.HTMLAttributes<HTMLLpTableCellElement>;
            "lp-table-cell-header": LocalJSX.LpTableCellHeader & JSXBase.HTMLAttributes<HTMLLpTableCellHeaderElement>;
            "lp-table-row": LocalJSX.LpTableRow & JSXBase.HTMLAttributes<HTMLLpTableRowElement>;
            "lp-table-row-header": LocalJSX.LpTableRowHeader & JSXBase.HTMLAttributes<HTMLLpTableRowHeaderElement>;
            "lp-transfer": LocalJSX.LpTransfer & JSXBase.HTMLAttributes<HTMLLpTransferElement>;
            "lp-view-redirection": LocalJSX.LpViewRedirection & JSXBase.HTMLAttributes<HTMLLpViewRedirectionElement>;
            "lp-view-selection": LocalJSX.LpViewSelection & JSXBase.HTMLAttributes<HTMLLpViewSelectionElement>;
            "lp-view-summary": LocalJSX.LpViewSummary & JSXBase.HTMLAttributes<HTMLLpViewSummaryElement>;
        }
    }
}
