import { Intent } from '../../types/intent.type';
/**
 * Callouts visually highlight important content for the user.
 * They can contain a title, an icon and content.
 *
 * @slot title - Title of the callout.
 * @slot message - Main content of the callout.
 */
export declare class LpCallout {
  private hasTitleSlot;
  private hasMessageSlot;
  private hostElement;
  componentWillLoad(): void;
  /**
   * Visual intent color to apply to background, title, and icon.
   */
  intent: Intent;
  render(): any;
}
