import { EventEmitter } from '../../stencil-public-runtime';
export interface LpSelectChangeEvent {
  value: string;
  index: number;
}
export declare class LpSelect {
  /**
   * Text describing the field.
   */
  label: string;
  /**
   * Unique id used to identify accessible label element of the field.
   */
  labelledby: string;
  /**
   * Set the width of the select & its menu.
   */
  width?: string;
  /**
   * Whether select is disabled or not.
   */
  disabled?: boolean;
  /**
   * Whether select is required or not.
   */
  required?: boolean;
  /**
   * The `value` / `data-value` of the currently selected option.
   */
  value?: string;
  /**
   * The index of the currently selected option.
   * Set to -1 if no option is currently selected.
   * Changing this property will update the select element.
   */
  selectedIndex?: number;
  /**
   * Set helper text to give more details about the field or validation messages.
   */
  helperText?: string;
  /**
   * Whether the component is in a valid state.
   * Setting this updates styles on the component, but does not affect the native validity state.
   */
  valid?: boolean;
  changed: EventEmitter<LpSelectChangeEvent>;
  private select;
  componentDidRender(): void;
  render(): any;
}
