import { Id } from '../../types/id.type';
/**
 * Header of a group of table cells.
 *
 * @slot - Header cell content.
 *
 */
export declare class LpTableCellHeader {
  /**
   * Set the scope of the header cell.
   * I.e. whether the header cell is used within a row or a column (by default).
   */
  scope?: 'col' | 'row';
  /**
   * Unique identifier of the cell which should be used when the `scope` is row.
   */
  cellId?: Id;
  /**
   * The type of the content.
   * Numeric content will be justified on the right.
   */
  type?: 'text' | 'numeric';
  /**
   * Whether the cell contains a checkbox for row selection or not.
   */
  hasCheckbox?: boolean;
  componentDidRender(): void;
  render(): any;
}
