import { EventEmitter } from '../../stencil-public-runtime';
import { Id } from '../../types/id.type';
/**
 * Table component displays information in a two-dimensional table
 * comprised of rows and columns of cells containing data.
 *
 * @slot head - Table `thead` content.
 * @slot body - Table `tbody` content.
 *
 */
export declare class LpTable {
  /**
   * Text describing the table purpose.
   */
  ariaLabel: string;
  selectionChanged: EventEmitter<Id[]>;
  private table?;
  private selectedRowIds?;
  private updateSelectedRowsIds;
  private handleChangeSelection;
  componentDidRender(): void;
  render(): any;
}
